=== debian/changelog ===
scummvm (1.1.0) unstable; urgency=low

  * 1.1.0 release
  * fix ctrl/shift modifiers when remapping keys (shift+backspace=escape for N900)

 -- Frantisek Dufka <dufkaf@seznam.cz>  Sat,  3 Apr 2010 00:15:07 +0200

scummvm (1.1.0~pre) unstable; urgency=low

  * 1.1.0 testing release
  * cleanup for N900 (new firmwares need less hacks)
  * unified binary for all devices now have datafiles included (~2MB)

 -- Frantisek Dufka <dufkaf@seznam.cz>  Wed, 24 Mar 2010 01:48:05 +0100
