=== dists/debian/changelog ===
scummvm (1.1.0-1) stable; urgency=low

  * Release build.

 -- Pawel Kolodziejski <aquadran@scummvm.org>

scummvm (1.0.0-1) stable; urgency=low

  * Release build.

 -- Pawel Kolodziejski <aquadran@scummvm.org>

scummvm (0.13.1-1) stable; urgency=low

  * Release build.

 -- Pawel Kolodziejski <aquadran@scummvm.org>

scummvm (0.13.0-1) stable; urgency=low

  * Release build.

 -- Pawel Kolodziejski <aquadran@scummvm.org>
