=== backends/platform/dc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-1-0/backends/platform/dc/Makefile $
+# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-1-1/backends/platform/dc/Makefile $
 # $Id: Makefile 48346 2010-03-21 00:47:05Z marcus_c $
 
 ronindir = /usr/local/ronin
