=== backends/platform/psp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SCUMMVM-PSP MakeFile
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-1-0/backends/platform/psp/Makefile $
+# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-1-1/backends/platform/psp/Makefile $
 # $Id: Makefile 46809 2009-12-31 23:54:57Z bluddy $
 
 VERBOSE_BUILD=1
