=== backends/platform/wince/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ScummVM Makefile for Windows CE port
 # Uses the cegcc toolchain. For build info check out the wiki: http://wiki.scummvm.org
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-1-0/backends/platform/wince/Makefile $
+# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-1-1/backends/platform/wince/Makefile $
 # $Id: Makefile 45975 2009-11-18 15:22:15Z fingolfin $
 
 ########################################################################
