=== debian/changelog ===
scummvm (1.1.1) unstable; urgency=low

  * 1.1.1 upstream release
  * bugtracker link added

 -- Frantisek Dufka <dufkaf@seznam.cz>  Sun,  2 May 2010 09:18:12 +0200
