=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
  Coktel Vision's Gobliiins, Wyrmkeep's Inherit the Earth,
  Westwood's Legend of Kyrandia, and various others.
  This package does not contain any actual games.
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=33126
+XB-Maemo-Display-Name: ScummVM
 XBS-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAMF0lEQVRo3s2a
   eYxf11XHP/e+5feb1TO2U9uxncZ20qQJqhM3ldIWQkPSkERBTSl/EMnFKIBE
