=== backends/platform/dc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-1-1/backends/platform/dc/Makefile $
-# $Id: Makefile 48346 2010-03-21 00:47:05Z marcus_c $
+# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-2-0/backends/platform/dc/Makefile $
+# $Id: Makefile 52803 2010-09-19 12:37:24Z marcus_c $
 
 ronindir = /usr/local/ronin
 
@@ -29,7 +29,6 @@
 AR = sh-elf-ar cru
 RANLIB = sh-elf-ranlib
 HAVE_GCC3 = true
-DISABLE_SCALERS = true
 USE_RGB_COLOR = true
 
 ifdef DYNAMIC_MODULES
@@ -70,6 +69,8 @@
 
 MODULE_DIRS += ./
 
+BACKEND := dc
+
 include $(srcdir)/Makefile.common
 
 scummvm.bin : scummvm.elf
