=== backends/platform/psp/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # SCUMMVM-PSP MakeFile
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-1-1/backends/platform/psp/Makefile $
-# $Id: Makefile 46809 2009-12-31 23:54:57Z bluddy $
-
-VERBOSE_BUILD=1
+# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-2-0/backends/platform/psp/Makefile $
+# $Id: Makefile 52481 2010-09-01 12:56:34Z Bluddy $
+
+
 #Use only this section to modify how the makefile behaves ------------
 
 # Scummvm engine config: choose which engines are enabled
@@ -39,10 +39,13 @@
 ENABLE_TOUCHE = $(ENABLED)
 ENABLE_TUCKER = $(ENABLED)
 
-
-#Set to 1 to enable, 0 to disable dynamic modules
+# Set to 1 to enable seeing the commands to gcc
+VERBOSE_BUILD=1
+# Set to 1 to enable, 0 to disable dynamic modules
 DYNAMIC_MODULES = 1
-#Set to 1 to enable, 0 to disable libmad and libogg
+# Set to 1 to enable profiling
+ENABLE_PROFILING = 0
+# Set to 1 to enable, 0 to disable libmad and libogg
 USE_LIBMAD = 1
 USE_LIBOGG = 1
 # --------------------------------------------------------------------
@@ -61,16 +64,14 @@
 $(error $$(PSPSDK) cannot be obtained.)
 endif
 
-
 # Variables for common Scummvm makefile
-#CC	 = psp-gcc
 CXX      = psp-g++
 CXXFLAGS = -O3 -Wall -Wno-multichar -fno-exceptions -fno-rtti
-DEFINES  = -D__PSP__ -DNONSTANDARD_PORT -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DUSE_ZLIB -DDISABLE_DOSBOX_OPL
+DEFINES  = -D__PSP__ -DNONSTANDARD_PORT -DDISABLE_TEXT_CONSOLE -DDISABLE_COMMAND_LINE -DUSE_ZLIB  -DDISABLE_DOSBOX_OPL -DUSE_RGB_COLOR
+
 LDFLAGS  :=
 INCDIR   := $(srcdir) . $(srcdir)/engines/ $(PSPSDK)/include
 INCLUDES := $(addprefix -I, $(INCDIR))
-#EXECUTABLE = $(TARGET)
 DEPDIR = .deps
 MODULE_DIRS += ./
 MKDIR	= mkdir -p
@@ -89,10 +90,6 @@
 PLUGIN_EXTRA_DEPS = plugin.syms scummvm-psp.elf
 PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,--just-symbols=scummvm-psp.org.elf,-Tplugin.ld,--retain-symbols-file,plugin.syms -lstdc++ -lc
 
-# Remove unneeded scalers
-DISABLE_SCALERS = true
-DISABLE_HQ_SCALERS = true
-
 # PSP-specific variables
 STRIP   = psp-strip
 MKSFO	= mksfoex -d MEMSIZE=1
@@ -119,24 +116,41 @@
 ENABLED = STATIC_PLUGIN
 endif
 
-# SDL Libs and Flags
-SDLFLAGS := $(shell $(PSPBIN)/sdl-config --cflags)
-SDLLIBS  := $(shell $(PSPBIN)/sdl-config --libs)
+# Test for profiling
+ifeq ($(ENABLE_PROFILING),1)
+DEFINES += -DENABLE_PROFILING
+CXXFLAGS += -pg -g
+LDFLAGS += -pg
+endif
+
 # PSP LIBS
-PSPLIBS = -lpspvfpu -lpspdebug -lpspgu -lpspge -lpspdisplay -lpspctrl -lpspsdk \
-	-lpsputility -lpspuser -lpsppower -lpsphprm -lpspsdk -lpsprtc -lpspaudio
+PSPLIBS =  -lpspprof -lpspvfpu -lpspdebug -lpspgu -lpspge -lpspdisplay -lpspctrl -lpspsdk \
+	-lpsputility -lpspuser -lpsppower -lpsphprm -lpspsdk -lpsprtc -lpspaudio -lpspaudiocodec \
+	-lpspkernel
 
 # Add in PSPSDK includes and libraries.
-CXXFLAGS += $(SDLFLAGS)
-LIBS     += -lpng -lSDL -lz $(findstring -lGL,$(SDLLIBS)) -lstdc++ -lc -lm $(filter -L%,$(SDLLIBS)) $(PSPLIBS)
+LIBS     += -lpng -lz -lstdc++ -lc -lm $(PSPLIBS)
 
 OBJS := powerman.o \
 	psp_main.o \
 	osys_psp.o \
+	psppixelformat.o \
+	memory.o \
+	display_manager.o \
+	display_client.o \
+	default_display_client.o \
+	input.o \
+	cursor.o \
 	trace.o \
 	psploader.o \
-	pspkeyboard.o
-
+	pspkeyboard.o \
+	audio.o \
+	thread.o \
+	rtc.o \
+	mp3.o \
+	tests.o
+
+BACKEND := psp
 
 # Include common Scummvm makefile
 include $(srcdir)/Makefile.common
