=== backends/platform/wince/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ScummVM Makefile for Windows CE port
 # Uses the cegcc toolchain. For build info check out the wiki: http://wiki.scummvm.org
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-1-1/backends/platform/wince/Makefile $
-# $Id: Makefile 45975 2009-11-18 15:22:15Z fingolfin $
+# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-2-0/backends/platform/wince/Makefile $
+# $Id: Makefile 48977 2010-05-09 11:00:17Z dhewg $
 
 ########################################################################
 ## Do you want a debug build or not?
@@ -70,7 +70,8 @@
 ########################################################################
 ## You're probably not going to want to change these defines...
 
-#DISABLE_HQ_SCALERS = 1
+USE_SCALERS = 1
+USE_HQ_SCALERS = 1
 USE_ARM_SOUND_ASM = 1
 USE_ARM_SMUSH_ASM = 1
 USE_ARM_GFX_ASM   = 1
@@ -155,6 +156,14 @@
 LIBS += -lFLAC
 endif
 
+ifdef USE_SCALERS
+DEFINES += -DUSE_SCALERS
+endif
+
+ifdef USE_HQ_SCALERS
+DEFINES += -DUSE_HQ_SCALERS
+endif
+
 ifdef USE_ARM_SMUSH_ASM
 DEFINES += -DUSE_ARM_SMUSH_ASM
 endif
