=== debian/changelog ===
scummvm (1.2.0) unstable; urgency=low

  * 1.2.0 release

 -- Frantisek Dufka <dufkaf@seznam.cz>  Tue, 12 Oct 2010 21:24:33 +0200
