=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 scummvm:
 	dh_testdir
 	CXXFLAGS="-Os -mcpu=arm926ej-s -fomit-frame-pointer -DMAEMO_SDL -I/usr/X11R6/include" ./configure --prefix=/usr --disable-debug --disable-mt32emu  --disable-hq-scalers --with-tremor-prefix=/usr --enable-tremor --with-zlib-prefix=/usr --enable-zlib --with-mad-prefix=/usr --enable-mad --enable-flac --disable-alsa --prefix=/opt/scummvm --datadir=/opt/scummvm/share
-##  -mcpu=arm926ej-s -fomit-frame-pointer --host=arm-linux --enable-plugins --disable-scumm-7-8
+##  --host=arm-linux --enable-plugins --disable-scumm-7-8
 	$(MAKE)
 
 clean:
@@ -46,7 +46,7 @@
 	install -m0755 scummvm debian/scummvm/opt/scummvm/bin
 	install -m0644 -d debian/scummvm/opt/scummvm/share
 	install -m0644 dists/pred.dic debian/scummvm/opt/scummvm/share
-	install -m0644 gui/themes/scummclassic.zip  gui/themes/scummmodern.zip debian/scummvm/opt/scummvm/share
+	install -m0644 gui/themes/scummclassic.zip  gui/themes/scummmodern.zip gui/themes/translations.dat debian/scummvm/opt/scummvm/share
 # for optified version we can also add engine datafiles
 	install -m0644 dists/engine-data/drascula.dat dists/engine-data/kyra.dat dists/engine-data/lure.dat dists/engine-data/queen.tbl dists/engine-data/sky.cpt dists/engine-data/teenagent.dat debian/scummvm/opt/scummvm/share
